%define anolis_release 2
%global srcname cycler
%global sum Cycle through lists in various ways (used by matplotlib)
%global desc General purpose library used by matplotlib to cycle through lists for colors,\
marker styles, etc

Name:           python-%{srcname}
Version:        0.11.0
Release:        %{anolis_release}%{?dist}
Summary:        %{sum}

License:        BSD
Source0:        %pypi_source
URL:            https://github.com/matplotlib/cycler.git

BuildArch:      noarch

%description
%{desc}

%package -n python3-%{srcname}
Summary:        %{sum}
BuildRequires:  python3-devel

%description -n python3-%{srcname}
%{desc}

%package -n python3-%{srcname}-doc
Summary:        %{sum}
Requires:	python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
Doc files for python3-%{srcname}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE

%files -n python3-%{srcname}-doc
%doc README.rst

%changelog
* Mon Nov 20 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.11.0-2
- rebuild

* Tue Mar 28 2023 happy_orange <songnannan@linux.alibaba.com> - 0.11.0-1
- init package from upstream
